package com.ygtx.gxt.mapper;

import com.ygtx.gxt.domain.GxtDeviceRuntime;
import java.util.List;

/**
 * 设备运行时长Mapper接口
 *
 * @author ruoyi
 * @date 2025-11-17
 */
public interface GxtDeviceRuntimeMapper
{
    /**
     * 查询设备运行时长
     *
     * @param id 设备运行时长主键
     * @return 设备运行时长
     */
    public GxtDeviceRuntime selectGxtDeviceRuntimeById(Long id);

    /**
     * 查询设备运行时长列表
     *
     * @param gxtDeviceRuntime 设备运行时长
     * @return 设备运行时长集合
     */
    public List<GxtDeviceRuntime> selectGxtDeviceRuntimeList(GxtDeviceRuntime gxtDeviceRuntime);

    public List<GxtDeviceRuntime> selectGxtDeviceRuntimeByRepairOrder(GxtDeviceRuntime gxtDeviceRuntime);
    public List<GxtDeviceRuntime> selectGxtDeviceRuntimeByWorkOrder(GxtDeviceRuntime gxtDeviceRuntime);

    /**
     * 新增设备运行时长
     *
     * @param gxtDeviceRuntime 设备运行时长
     * @return 结果
     */
    public int insertGxtDeviceRuntime(GxtDeviceRuntime gxtDeviceRuntime);

    /**
     * 修改设备运行时长
     *
     * @param gxtDeviceRuntime 设备运行时长
     * @return 结果
     */
    public int updateGxtDeviceRuntime(GxtDeviceRuntime gxtDeviceRuntime);

    /**
     * 删除设备运行时长
     *
     * @param id 设备运行时长主键
     * @return 结果
     */
    public int deleteGxtDeviceRuntimeById(Long id);

    /**
     * 批量删除设备运行时长
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtDeviceRuntimeByIds(Long[] ids);
}